package com.palmnest.application.dto.output;

import java.io.Serializable;

public class EnterPcOutPutDto  implements Serializable{
	
	private Integer id;
	private String remanName1;//负责人1
	private String remanTel1;//负责人1电话
	private String remanEmail1;//负责人1邮箱
	private int isPushPower1;//是否物品放行权限
	private int isReleasePower1;//是否推送账单权限
	private String remanName2;//负责人2
	private String remanTel2;//负责人2电话
	private String remanEmail2;//负责人2邮箱
	private int isPushPower2;//是否物品放行权限
	private int isReleasePower2;//是否推送账单权限
	private int isWechat;//是否微信
	private int isMessage;//是否短信
	private int isEmail;//是否邮箱
	private String businessImageUrl;//企业营业执照照片
	private String powerAttorneyImageUrl;//法人代表授权委托书
	private String powerFaceImageUrl;//法人代表身份证人面照
	private String powerNationImageUrl;//法人代表身份证国徽照
	private String otherRecord;//其他记录
	
	public EnterPcOutPutDto(Integer id, String remanName1, String remanTel1,
			String remanEmail1, int isPushPower1, int isReleasePower1,
			String remanName2, String remanTel2, String remanEmail2,
			int isPushPower2, int isReleasePower2, int isWechat, int isMessage,
			int isEmail, String businessImageUrl, String powerAttorneyImageUrl,
			String powerFaceImageUrl, String powerNationImageUrl,
			String otherRecord) {
		super();
		this.id = id;
		this.remanName1 = remanName1;
		this.remanTel1 = remanTel1;
		this.remanEmail1 = remanEmail1;
		this.isPushPower1 = isPushPower1;
		this.isReleasePower1 = isReleasePower1;
		this.remanName2 = remanName2;
		this.remanTel2 = remanTel2;
		this.remanEmail2 = remanEmail2;
		this.isPushPower2 = isPushPower2;
		this.isReleasePower2 = isReleasePower2;
		this.isWechat = isWechat;
		this.isMessage = isMessage;
		this.isEmail = isEmail;
		this.businessImageUrl = businessImageUrl;
		this.powerAttorneyImageUrl = powerAttorneyImageUrl;
		this.powerFaceImageUrl = powerFaceImageUrl;
		this.powerNationImageUrl = powerNationImageUrl;
		this.otherRecord = otherRecord;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getRemanName1() {
		return remanName1;
	}
	public void setRemanName1(String remanName1) {
		this.remanName1 = remanName1;
	}
	public String getRemanTel1() {
		return remanTel1;
	}
	public void setRemanTel1(String remanTel1) {
		this.remanTel1 = remanTel1;
	}
	public String getRemanEmail1() {
		return remanEmail1;
	}
	public void setRemanEmail1(String remanEmail1) {
		this.remanEmail1 = remanEmail1;
	}
	public int getIsPushPower1() {
		return isPushPower1;
	}
	public void setIsPushPower1(int isPushPower1) {
		this.isPushPower1 = isPushPower1;
	}
	public int getIsReleasePower1() {
		return isReleasePower1;
	}
	public void setIsReleasePower1(int isReleasePower1) {
		this.isReleasePower1 = isReleasePower1;
	}
	public String getRemanName2() {
		return remanName2;
	}
	public void setRemanName2(String remanName2) {
		this.remanName2 = remanName2;
	}
	public String getRemanTel2() {
		return remanTel2;
	}
	public void setRemanTel2(String remanTel2) {
		this.remanTel2 = remanTel2;
	}
	public String getRemanEmail2() {
		return remanEmail2;
	}
	public void setRemanEmail2(String remanEmail2) {
		this.remanEmail2 = remanEmail2;
	}
	public int getIsPushPower2() {
		return isPushPower2;
	}
	public void setIsPushPower2(int isPushPower2) {
		this.isPushPower2 = isPushPower2;
	}
	public int getIsReleasePower2() {
		return isReleasePower2;
	}
	public void setIsReleasePower2(int isReleasePower2) {
		this.isReleasePower2 = isReleasePower2;
	}
	public int getIsWechat() {
		return isWechat;
	}
	public void setIsWechat(int isWechat) {
		this.isWechat = isWechat;
	}
	public int getIsMessage() {
		return isMessage;
	}
	public void setIsMessage(int isMessage) {
		this.isMessage = isMessage;
	}
	public int getIsEmail() {
		return isEmail;
	}
	public void setIsEmail(int isEmail) {
		this.isEmail = isEmail;
	}
	public String getBusinessImageUrl() {
		return businessImageUrl;
	}
	public void setBusinessImageUrl(String businessImageUrl) {
		this.businessImageUrl = businessImageUrl;
	}
	public String getPowerAttorneyImageUrl() {
		return powerAttorneyImageUrl;
	}
	public void setPowerAttorneyImageUrl(String powerAttorneyImageUrl) {
		this.powerAttorneyImageUrl = powerAttorneyImageUrl;
	}
	public String getPowerFaceImageUrl() {
		return powerFaceImageUrl;
	}
	public void setPowerFaceImageUrl(String powerFaceImageUrl) {
		this.powerFaceImageUrl = powerFaceImageUrl;
	}
	public String getPowerNationImageUrl() {
		return powerNationImageUrl;
	}
	public void setPowerNationImageUrl(String powerNationImageUrl) {
		this.powerNationImageUrl = powerNationImageUrl;
	}
	public String getOtherRecord() {
		return otherRecord;
	}
	public void setOtherRecord(String otherRecord) {
		this.otherRecord = otherRecord;
	}

}
